{{- if .Values.serviceAccount.create -}}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ include "spring-demo-k8s.serviceAccountName" . }}
  labels:
    {{- include "spring-demo-k8s.labels" . | nindent 4 }}
    app.kubernetes.io/component: spring-demo-k8s
  {{- with .Values.serviceAccount.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
{{- end }}
